We are designing the app for both iPhones and Android phones.

We do ask that your phone software is up to date:

  • On iOS you will need version 11 or above
  • On Android, you will need version 5 or above

Please note, your device will also need an auto-focus camera, as we may need you to verify your identity using the app.

Did this answer your question?